Bug 127368 - audio/last.fm: add a .desktop file for Xfce/GNOME/KDE
Summary: audio/last.fm: add a .desktop file for Xfce/GNOME/KDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-14 03:50 UTC by Carlos Santos
Modified: 2009-03-24 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.09 KB, patch)
2008-09-14 03:50 UTC, Carlos Santos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Santos 2008-09-14 03:50:01 UTC
The last.fm port does not install a menu entry for Xfce, GNNOME and KDE.

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: Install the package. :-)
Comment 1 Dmitry Marakasov freebsd_committer 2008-09-14 14:38:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Carlos Santos 2009-02-15 18:08:16 UTC
Please use the patch below instead of the previous one. It fixes the
last.fm script and embeds a runtime library search path in
last.fm.app. Without this Xfce's task bar is unable to launch
last.fm.app because it depends on libLastFmTools.so.1, which installed
at a non-standard place.

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D PATCH STARTS HERE =3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D
diff -durP last.fm.orig/Makefile last.fm/Makefile
--- last.fm.orig/Makefile	2008-09-12 05:48:58.000000000 -0300
+++ last.fm/Makefile	2009-02-15 14:24:24.000000000 -0300
@@ -7,6 +7,7 @@

 PORTNAME=3D	last.fm
 PORTVERSION=3D	1.3.2.14
+PORTREVISION=3D	1
 CATEGORIES=3D	audio net
 MASTER_SITES=3D	http://cdn.last.fm/client/src/
 DISTNAME=3D	${PORTNAME}-${PORTVERSION}.src
@@ -36,18 +37,18 @@
 			-E -e 's|(.*"CONFIG-=3Ddebug")|\1 ${QMAKEFLAGS}|g' \
 			-e 's|function header|header()|g' \
 			-e 's|function middle|middle()|g' \
+			-e 's|-pthread|-pthread -R/usr/local/share/last.fm|g' \
 		${WRKSRC}/configure
 	${REINPLACE_CMD} -e 's|linux\*|unix|g' ${WRKSRC}/src/src.pro

 post-build:
 	cd ${WRKSRC}/src/output/RtAudio && \
 	${SETENV} ${CONFIGURE_ENV} ${QMAKE} ${QMAKEFLAGS} && make
-	${REINPLACE_CMD} -e 's|`dirname $$0`|${DATADIR}|g' \
-		${WRKSRC}/bin/last.fm

 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/bin/last.fm ${PREFIX}/bin/last.fm
-	${MKDIR} ${PREFIX}/share/services
+	${INSTALL_SCRIPT} ${FILESDIR}/last.fm ${PREFIX}/bin/last.fm
+	${MKDIR} ${PREFIX}/share/applications ${PREFIX}/share/services
+	${INSTALL_DATA} ${FILESDIR}/last.fm.desktop ${PREFIX}/share/applications
 	${INSTALL_DATA} ${FILESDIR}/lastfm.protocol ${PREFIX}/share/services
 	${MKDIR} ${DATADIR}
 	${CP} -Rp ${WRKSRC}/bin/* ${DATADIR}/
diff -durP last.fm.orig/files/last.fm last.fm/files/last.fm
--- last.fm.orig/files/last.fm	1969-12-31 21:00:00.000000000 -0300
+++ last.fm/files/last.fm	2009-02-15 12:35:46.000000000 -0300
@@ -0,0 +1,13 @@
+#!/bin/sh
+# executes all *nix variants of Last.fm executable --mxcl
+
+RUNDIR=3D/usr/local/share/last.fm
+LD_LIBRARY_PATH=3D$RUNDIR; export LD_LIBRARY_PATH
+
+if [ -f $RUNDIR/last.fm.app ]; then
+    exec $RUNDIR/last.fm.app $*
+elif [ -f $RUNDIR/last.fm.app_debug ]; then
+    exec $RUNDIR/last.fm.app_debug $*
+elif [ -d $RUNDIR/Last.fm.app ]; then
+    exec $RUNDIR/Last.fm_debug $*
+fi
diff -durP last.fm.orig/files/last.fm.desktop last.fm/files/last.fm.desktop
--- last.fm.orig/files/last.fm.desktop	1969-12-31 21:00:00.000000000 -0300
+++ last.fm/files/last.fm.desktop	2009-02-15 09:09:06.000000000 -0300
@@ -0,0 +1,20 @@
+[Desktop Entry]
+Name=3DClient for the Last.fm network
+Name[de]=3DClient f=FCr das Last.fm-netzwerk
+Name[es]=3DCliente para la red Last.fm
+Name[it]=3DCliente per la rete di Last.fm
+Name[pt_BR]=3DCliente para a rede Last.fm
+Name[pt_PT]=3DCliente para a rede Last.fm
+Comment=3DClient for the Last.fm Network
+Comment[de]=3DClient f=FCr das Last.fm-Netzwerk
+Comment[es]=3DCliente para la red Last.fm
+Comment[it]=3DCliente per la rete di Last.fm
+Comment[pt_BR]=3DCliente para a Rede Last.fm
+Comment[pt_PT]=3DCliente para a Rede Last.fm
+Exec=3Dlast.fm
+Terminal=3Dfalse
+Type=3DApplication
+Encoding=3DUTF-8
+Icon=3D/usr/local/share/last.fm/data/icons/as.png
+Categories=3DAudioVideo;Player;Qt;
+StartupNotify=3Dtrue
diff -durP last.fm.orig/pkg-plist last.fm/pkg-plist
--- last.fm.orig/pkg-plist	2007-09-14 16:02:22.000000000 -0300
+++ last.fm/pkg-plist	2009-02-15 09:09:06.000000000 -0300
@@ -108,6 +108,7 @@
 %%DATADIR%%/services/libsrv_itunesdevice.so
 %%DATADIR%%/services/libsrv_mp3transcode.so
 %%DATADIR%%/services/libsrv_rtaudioplayback.so
+share/applications/last.fm.desktop
 share/services/lastfm.protocol
 @dirrmtry share/services
 @dirrm %%DATADIR%%/services
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D PATCH ENDS HERE =3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D


--=20
My preferred quotation of Robert Louis Stevenson is "You cannot
make an omelette without breaking eggs". Not because I like the
omelettes, but because I like the sound of eggs being broken.
Comment 3 Dmitry Marakasov freebsd_committer 2009-02-16 21:50:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2009-02-16 21:50:25 UTC
amdmi3      2009-02-16 21:50:09 UTC

  FreeBSD ports repository

  Modified files:
    audio/last.fm        Makefile pkg-plist 
  Added files:
    audio/last.fm/files  last.fm.desktop 
  Log:
  - Add desktop entry
  
  PR:             127368
  Submitted by:   "Carlos A. M. dos Santos" <unixmania at gmail dot com>
  
  Revision  Changes    Path
  1.20      +3 -1      ports/audio/last.fm/Makefile
  1.1       +20 -0     ports/audio/last.fm/files/last.fm.desktop (new)
  1.4       +2 -0      ports/audio/last.fm/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2009-02-17 12:37:56 UTC
State Changed
From-To: closed->open

Reopen, missed additional changes submitted in the followup.
Comment 6 Carlos Santos 2009-03-23 03:33:31 UTC
On Tue, Feb 17, 2009 at 9:38 AM,  <amdmi3@freebsd.org> wrote:
> Synopsis: audio/last.fm: add a .desktop file for Xfce/GNOME/KDE
>
> State-Changed-From-To: closed->open
> State-Changed-By: amdmi3
> State-Changed-When: Tue Feb 17 12:37:56 UTC 2009
> State-Changed-Why:
> Reopen, missed additional changes submitted in the followup.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=127368
>

Ok, the patch below fixes the dynamic loading problem, adds a new
version of the last.fm script and bumps the port revision.

========== PATCH STARTS HERE ==========
diff -durP last.fm.orig/Makefile last.fm/Makefile
--- last.fm.orig/Makefile	2009-02-21 17:27:49.000000000 -0300
+++ last.fm/Makefile	2009-03-23 00:09:06.000000000 -0300
@@ -7,7 +7,7 @@

 PORTNAME=	last.fm
 PORTVERSION=	1.3.2.14
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio net
 MASTER_SITES=	http://cdn.last.fm/client/src/
 DISTNAME=	${PORTNAME}-${PORTVERSION}.src
@@ -37,17 +37,16 @@
 			-E -e 's|(.*"CONFIG-=debug")|\1 ${QMAKEFLAGS}|g' \
 			-e 's|function header|header()|g' \
 			-e 's|function middle|middle()|g' \
+			-e 's|-pthread|-pthread -R/usr/local/share/last.fm|g' \
 		${WRKSRC}/configure
 	${REINPLACE_CMD} -e 's|linux\*|unix|g' ${WRKSRC}/src/src.pro

 post-build:
 	cd ${WRKSRC}/src/output/RtAudio && \
 	${SETENV} ${CONFIGURE_ENV} ${QMAKE} ${QMAKEFLAGS} && make
-	${REINPLACE_CMD} -e 's|`dirname $$0`|${DATADIR}|g' \
-		${WRKSRC}/bin/last.fm

 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/bin/last.fm ${PREFIX}/bin/last.fm
+	${INSTALL_SCRIPT} ${FILESDIR}/last.fm ${PREFIX}/bin/last.fm
 	${MKDIR} ${PREFIX}/share/applications ${PREFIX}/share/services
 	${INSTALL_DATA} ${FILESDIR}/last.fm.desktop ${PREFIX}/share/applications
 	${INSTALL_DATA} ${FILESDIR}/lastfm.protocol ${PREFIX}/share/services
diff -durP last.fm.orig/files/last.fm last.fm/files/last.fm
--- last.fm.orig/files/last.fm	1969-12-31 21:00:00.000000000 -0300
+++ last.fm/files/last.fm	2009-02-15 12:35:46.000000000 -0300
@@ -0,0 +1,13 @@
+#!/bin/sh
+# executes all *nix variants of Last.fm executable --mxcl
+
+RUNDIR=/usr/local/share/last.fm
+LD_LIBRARY_PATH=$RUNDIR; export LD_LIBRARY_PATH
+
+if [ -f $RUNDIR/last.fm.app ]; then
+    exec $RUNDIR/last.fm.app $*
+elif [ -f $RUNDIR/last.fm.app_debug ]; then
+    exec $RUNDIR/last.fm.app_debug $*
+elif [ -d $RUNDIR/Last.fm.app ]; then
+    exec $RUNDIR/Last.fm_debug $*
+fi
========== PATCH ENDS HERE ==========

-- 
My preferred quotation of Robert Louis Stevenson is "You cannot
make an omelette without breaking eggs". Not because I like the
omelettes, but because I like the sound of eggs being broken.
Comment 7 Dmitry Marakasov freebsd_committer 2009-03-24 00:35:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2009-03-24 00:35:34 UTC
amdmi3      2009-03-24 00:35:23 UTC

  FreeBSD ports repository

  Modified files:
    audio/last.fm        Makefile pkg-plist 
  Added files:
    audio/last.fm/files  last.fm 
  Log:
  - Fix dynamic loading problem
  - Add new version of last.fm script
  
  PR:             127368
  Submitted by:   "Carlos A. M. dos Santos" <unixmania at gmail dot com>
  
  Revision  Changes    Path
  1.21      +3 -4      ports/audio/last.fm/Makefile
  1.1       +13 -0     ports/audio/last.fm/files/last.fm (new)
  1.5       +0 -1      ports/audio/last.fm/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"